Skip to content

WireServiceMessage⁠

Perform various operations on wire service message records.

Operations⁠

getWireServiceMessageSelectFields⁠

POST

Retrieves a wire service message with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
WireServiceMessageLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/wire/getWireServiceMessageSelectFields
POST /nexum/627/persistent/wire/getWireServiceMessageSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "WireServiceMessageLocator": 0,
  "SelectableFields": {
    "IncludeAllWireServiceMessageFields": true,
    "WireServiceMessageFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireServiceMessagePagedListSelectFields⁠

POST

Retrieves a paged list of wire service messages with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/wire/getWireServiceMessagePagedListSelectFields
POST /nexum/627/persistent/wire/getWireServiceMessagePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireServiceMessageFields": true,
    "WireServiceMessageFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireServiceMessagePagedSelectFields⁠

POST

Searches for wire service message paged with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/wire/searchWireServiceMessagePagedSelectFields
POST /nexum/627/persistent/wire/searchWireServiceMessagePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireServiceMessageFields": true,
    "WireServiceMessageFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateWireServiceMessageByID⁠

POST

Updates service message for a wire by ID

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
WireServiceMessageLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/wire/updateWireServiceMessageByID
POST /nexum/627/persistent/wire/updateWireServiceMessageByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "WireServiceMessageLocator": 0,
  "WireServiceMessageFields": {
    "Locator": 0,
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}